com.h3c.util.persistence.cassandra.entitymgr.column

## Class BooleanColumn<K extends Serializable & Comparable<K>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.Column<K,Boolean>
  - - com.h3c.util.persistence.cassandra.entitymgr.column.BooleanColumn<K>

- Type Parameters:
    `K` - type of the column key or name
  All Implemented Interfaces:
    Visitable<ColumnVisitor<K>>

      public final class BooleanColumn<K extends Serializable & Comparable<K>>
      extends Column<K,Boolean>

  Defined for creating Boolean Column.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BooleanColumn.BooleanColumnDecoder<K extends Serializable & Comparable<K>>` Boolean Column decoder.

  - ### Field Summary

    - ### Fields inherited from class com.h3c.util.persistence.cassandra.entitymgr.column.Column

      `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanColumn(ColumnName<K,Boolean> name)` Creates a Boolean column with no value.
    `BooleanColumn(ColumnName<K,Boolean> name, Boolean value)` Creates a boolean column.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ColumnVisitor<K> visitor)` Calls a visit method of the visitor, this class object passes itself as an argument to the visit method this class object.
    `int` | `compareTo(Column<K,Boolean> o2)`

    - ### Methods inherited from class com.h3c.util.persistence.cassandra.entitymgr.column.Column

      `equals, getName, getSerializer, getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanColumn

          public BooleanColumn(ColumnName<K,Boolean> name)

      Creates a Boolean column with no value.
      Parameters:
        `name` - column's name

    - #### BooleanColumn

          public BooleanColumn(ColumnName<K,Boolean> name,
                       Boolean value)

      Creates a boolean column.
      Parameters:
        `name` - column's name
        `value` - column's value

  - ### Method Detail

    - #### compareTo

          public int compareTo(Column<K,Boolean> o2)

      Specified by:
        `compareTo` in class `Column<K extends Serializable & Comparable<K>,Boolean>`

    - #### accept

          public void accept(ColumnVisitor<K> visitor)

      Calls a visit method of the visitor, this class object passes itself as an argument to the visit method this class object.
      Parameters:
        `visitor` - ColumnVisitor

Copyright © 2014. All Rights Reserved.